﻿using System.Collections.Generic;

namespace IPCamAppBar
{
    public class Config
    {
        public ConfigAppBar AppBar { get; } = new ConfigAppBar();
        public List<ConfigCamera> Cameras { get; set; }
    }


    public enum ConfigSide
    {
        Top,
        Left,
        Bottom,
        Right
    }

    public class ConfigAppBar
    {
        public int Monitor { get; set; }
        public ConfigSide Side { get; set; }
        public int Size { get; set; }
    }


    public class ConfigCamera
    {
        public string URL { get; set; }
        public int Width { get; set; }
        public int Height { get; set; }
    }
}
